import { EChartsCoreOption } from 'echarts/core';
import { EChartsInitOpts } from 'echarts/core';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import { SetOptionOpts } from 'echarts/core';

declare const Chart: <Opt extends EChartsCoreOption>({ option, initOptions, updateOptions, loadingOptions, loading, theme, className, style, ...props }: ChartProps<Opt>) => JSX_2.Element;
export default Chart;

declare interface ChartEvents {
    onClick?: EventCallback;
    onDblClick?: EventCallback;
    onMouseDown?: EventCallback;
    onMouseMove?: EventCallback;
    onMouseUp?: EventCallback;
    onMouseOver?: EventCallback;
    onMouseOut?: EventCallback;
    onGlobalOut?: EventCallback;
    onContextMenu?: EventCallback;
}

declare interface ChartProps<Opt> extends ChartEvents {
    option: Opt;
    theme?: string | object;
    initOptions?: EChartsInitOpts;
    updateOptions?: SetOptionOpts;
    loadingOptions?: object;
    loading?: boolean;
    className?: string;
    style?: React.CSSProperties;
}

declare type EventCallback = (params: any) => void;

export { }
